robot-pmaptest(1)

NAME
robot-pmaptest - occupancy grid map creation tool

SYNOPSIS
robot-pmaptest [options] <logfilename>

DESCRIPTION
robot-pmaptest is utility demonstrates the basic functionality of the pmap library and serves a handy mapping utility in its own right. Given a Player logfile containing odometry and laser data, robot-pmaptest will produce an occupancy grid map of the environment.

OPTIONS

-g  disable the GUI (run in console mode only).

--range_max range
    maximum effective range for the laser in meter (default: range saved in logfile).

--position_index index
    index of odometry device in logfile (defualt: 0).

--laser_index index
    index of laser device in logfile (default: 0).

--num_samples number
    number of samples in particle filter (default: 200).

--resample_interval number
    number of scans between resampling steps.

--resample_sigma width
    width of resampling gaussian.

--num_cycles number
    number of optimization cycles in the fine phase (default: 100).

--robot_x position
    initial position of the robot on the x-axis.

--robot_y position
    initial position of the robot on the y-axis.

--robot_rot rotation
    initial rotation of the robot in degrees.

--grid_width width
    width of the grid in meters (default: 64.0).

--grid_height height
    height of the grid in meters (default: 48.0).

--grid_scale scale
    scale of the grid in meters per cell (default: 0.10).

--laser_x position
    position of the laser scanner on the robot.

--laser_rot rotation
    rotation of the laser scanner on the robot in degrees.

--robot_hostname hostname
    the hostname of the robot to verify in the logfile.

--robot_hostname hostname
    the hostname of the robot to verify in the logfile.

--skip time
    amount of time to skip between log entries.

--range_resresolution
    resolution of the laser (only used inlodo, not lodo2 which is currentlyused).

--action_model_xx factor
    believe factors in the change of the robot's pose.

--action_model_rx factor
    believe factors in the change of the robot's pose.

--action_model_rr factor
    believe factors in the change of the robot's pose.

AUTHOR
Player was written by Brian Gerkey <gerkey@users.sourceforge.net> and contributors. This manual page was written by Daniel Hess for the Debian Project.

SEE ALSO
The HTML documentation in /usr/share/doc/player/html of the robot-player-doc package. robot-playervcr(1)